Begin Password Reset
POST
/api/v1/password/reset/begin
const url = 'https://api.spartanauth.com/api/v1/password/reset/begin';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"example","sectorID":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.spartanauth.com/api/v1/password/reset/begin \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "sectorID": "example" }'Starts the password reset flow by sending a reset code to the user’s email address if an account exists in the sector. Public endpoint and always returns a generic success message to avoid revealing whether the email exists.
Request Body
Section titled “Request Body ” Media type application/json
object
email
string
sectorID
string
Example generated
{ "email": "example", "sectorID": "example"}Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
success
boolean
message
string
Example generated
{ "success": true, "message": "example"}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}